### Method

# Gck Session find_handles

#### Declaration [src]

    gulong*
    gck_session_find_handles (
      GckSession* self,
      GckAttributes* match,
      GCancellable* cancellable,
      gulong* n_handles,
      GError** error
    )

#### Description [src]

Find the objects matching the passed attributes. This call may block for an indefinite period.

If `match` is a floating reference, it is consumed.

#### Parameters

`match` | `GckAttributes`
| The attributes to match against objects.
| The data is owned by the caller of the function.
`cancellable` | `GCancellable`
| Optional cancellation object or `NULL`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`n_handles` | `gulong*`
| Location to return number of handles.
| The argument will be set by the function.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | An array of `gulong`
| A list of the matching objects, which may be empty.
| The length of the array is in the `n_handles` argument.
| The caller of the method takes ownership of the data, and is responsible for freeing it.
| The return value can be `NULL`.